This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

Direct Connect

Overview

Provides an Application Programming Interface (API) that supports programmatic use of IaaS/PaaS products provided by SCP.

This guide provides a brief description of Direct Connect service and how to call API. The API is provided as a RESTful API, and it responds in JSON format.

Version

VersionStatusSupported Until
1.0CURRENT-

OpenAPI URL

https://direct-connect.{region}.{environment}.samsungsdscloud.com

Environment and Region List

environmentregion
skr-west1
skr-east1
gkr-south1
gkr-south2
gkr-south3
ekr-west1
ekr-east1

1 - APIs

1.1 - Create Direct Connect

1.1.1 - 1.0

post /v1/direct-connects

Description

Create direct connect.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

DirectConnectCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedDirectConnectShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/direct-connects

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = direct-connect 1.0"

Request body

{
    "bandwidth": "",
    "description": "",
    "firewall_enabled": false,
    "firewall_loggable": false,
    "name": "",
    "tags": [],
    "vpc_id": ""
}

Example HTTP response

Response 202

{
    "direct_connect": {
        "account_id": "",
        "bandwidth": "",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "",
        "firewall_id": "",
        "id": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "",
        "state": "CREATING",
        "vpc_id": "",
        "vpc_name": ""
    }
}

1.2 - Create Routing Rule

1.2.1 - 1.0

post /v1/direct-connects/{direct_connect_id}/routing-rules

Description

Create a routing rule.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathdirect_connect_id
required
Direct Connect ID
Example :
stringNone
bodybody
required

RoutingRuleCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedRoutingRuleShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/direct-connects/{direct_connect_id}/routing-rules

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = direct-connect 1.0"

Request body

{
    "description": "",
    "destination_cidr": "",
    "destination_resource_id": "",
    "destination_type": "VPC"
}

Example HTTP response

Response 202

{
    "routing_rule": {
        "account_id": "",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "",
        "destination_cidr": "",
        "destination_resource_id": "",
        "destination_resource_name": "",
        "destination_type": "VPC",
        "id": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "owner_id": "",
        "owner_type": "INTERNET_GATEWAY",
        "state": "CREATING"
    }
}

1.3 - Delete Direct Connect

1.3.1 - 1.0

delete /v1/direct-connects/{direct_connect_id}

Description

Delete direct connect.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathdirect_connect_id
required
Direct Connect ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/direct-connects/{direct_connect_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = direct-connect 1.0"

Example HTTP response

Response 202

1.4 - Delete Routing Rule

1.4.1 - 1.0

delete /v1/direct-connects/{direct_connect_id}/routing-rules/{routing_rule_id}

Description

Delete a routing rule.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathdirect_connect_id
required
Direct Connect ID
Example :
stringNone
pathrouting_rule_id
required
Routing Rule ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/direct-connects/{direct_connect_id}/routing-rules/{routing_rule_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = direct-connect 1.0"

Example HTTP response

Response 202

1.5 - List Direct Connects

1.5.1 - 1.0

get /v1/direct-connects

Description

Get direct connect list.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
querywith_count
optional
with count
Example : true
any of [string, null]None
querylimit
optional
limit
Example : 20
any of [integer, null]None
querymarker
optional
marker
Example : 607e0938521643b5b4b266f343fae693
any of [string, null]None
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryid
optional
Direct Connect ID
Example :
string
queryname
optional
Direct Connect Name
Example :
string
querystate
optional
State
Example :
enum (CREATING, ACTIVE, EDITING, DELETING, DELETED, ERROR)
queryvpc_id
optional
VPC Id
Example :
string
queryvpc_name
optional
VPC Name
Example :
string

Responses

HTTP CodeDescriptionSchema
200OKDirectConnectListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/direct-connects

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = direct-connect 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "direct_connects": [
        {
            "account_id": "",
            "bandwidth": "",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "description": "",
            "firewall_id": "",
            "id": "",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "",
            "state": "CREATING",
            "vpc_id": "",
            "vpc_name": ""
        }
    ],
    "links": [
        {
            "href": "http://scp.samsungsdscloud.com/v1/notices",
            "rel": "self"
        }
    ]
}

1.6 - List Routing Rules

1.6.1 - 1.0

get /v1/direct-connects/{direct_connect_id}/routing-rules

Description

Get routing rule list.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathdirect_connect_id
required
Direct Connect ID
Example :
stringNone
querywith_count
optional
with count
Example : true
any of [string, null]None
querylimit
optional
limit
Example : 20
any of [integer, null]None
querymarker
optional
marker
Example : 607e0938521643b5b4b266f343fae693
any of [string, null]None
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryid
optional
Routing Rule ID
Example :
any of [string, null]None
querydestination_type
optional
Destination Type
Example :
enum (VPC, ON_PREMISE)None
querydestination_cidr
optional
Destination CIDR
Example :
any of [string, null]None
querystate
optional
State
Example :
enum (CREATING, ACTIVE, DELETING, DELETED, ERROR)None

Responses

HTTP CodeDescriptionSchema
200OKRoutingRuleListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/direct-connects/{direct_connect_id}/routing-rules

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = direct-connect 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "links": [
        {
            "href": "http://scp.samsungsdscloud.com/v1/notices",
            "rel": "self"
        }
    ],
    "routing_rules": [
        {
            "account_id": "",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "description": "",
            "destination_cidr": "",
            "destination_resource_id": "",
            "destination_resource_name": "",
            "destination_type": "VPC",
            "id": "",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "owner_id": "",
            "owner_type": "INTERNET_GATEWAY",
            "state": "CREATING"
        }
    ]
}

1.7 - Set Direct Connect

1.7.1 - 1.0

put /v1/direct-connects/{direct_connect_id}

Description

Set direct connect.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathdirect_connect_id
required
Direct Connect ID
Example :
stringNone
bodybody
required

DirectConnectSetRequest

Responses

HTTP CodeDescriptionSchema
200OKDirectConnectShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/direct-connects/{direct_connect_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = direct-connect 1.0"

Request body

{
    "description": ""
}

Example HTTP response

Response 200

{
    "direct_connect": {
        "account_id": "",
        "bandwidth": "",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "",
        "firewall_id": "",
        "id": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "",
        "state": "CREATING",
        "vpc_id": "",
        "vpc_name": ""
    }
}

1.8 - Show Direct Connect

1.8.1 - 1.0

get /v1/direct-connects/{direct_connect_id}

Description

Show direct connect.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathdirect_connect_id
required
Direct Connect ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKDirectConnectShowResponse
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/direct-connects/{direct_connect_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = direct-connect 1.0"

Example HTTP response

Response 200

{
    "direct_connect": {
        "account_id": "",
        "bandwidth": "",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "",
        "firewall_id": "",
        "id": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "",
        "state": "CREATING",
        "vpc_id": "",
        "vpc_name": ""
    }
}

2 - Models

2.1 - DirectConnect

NameDescriptionSchemaDefault
account_id
required
Account ID
Example :
string
bandwidth
required
Port Bandwidth
Example :
integer
created_at
required
Created At
Example : 2024-05-17T00:23:17Z
string (date-time)
created_by
required
Created By
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
description
optional
Direct Connect Description
Example :
any of [string, null]
firewall_id
optional
Firewall ID
Example :
any of [string, null]
id
required
Direct Connect ID
Example :
string
modified_at
required
Modified At
Example : 2024-05-17T00:23:17Z
string (date-time)
modified_by
required
Modified By
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
name
required
Direct Connect Name
Example :
Pattern : ^[a-zA-Z0-9-]*$
Minimum length : 3
Maximum length : 20
string
state
required
State
Example : CREATING
enum (CREATING, ACTIVE, EDITING, DELETING, DELETED, ERROR)
vpc_id
required
VPC Id
Example :
string
vpc_name
required
VPC Name
Example :
string

2.2 - DirectConnectCreateRequest

NameDescriptionSchemaDefault
bandwidth
required
Port Bandwidth
Example :
integer
description
optional
Direct Connect Description
Example :
Maximum length : 50
string
firewall_enabled
optional
Firewall Use
Example : False
boolean
firewall_loggable
optional
Firewall Loggable
Example : False
boolean
name
required
Direct Connect Name
Example :
Pattern : ^[a-zA-Z0-9-]*$
Minimum length : 3
Maximum length : 20
string
tags
optional
Tag List
array[Tag]
vpc_id
required
VPC Id
Example :
string

2.3 - DirectConnectListResponse

NameDescriptionSchemaDefault
count
optional
total count
Example : 20
any of [integer, null]
direct_connects
required

array[DirectConnect]
links
optional
links
Example : [{'href': 'http://scp.samsungsdscloud.com/v1/notices', 'rel': 'self'}]
any of [array[object], null]

2.4 - DirectConnectSetRequest

NameDescriptionSchemaDefault
description
required
Direct Connect Description
Example :
Maximum length : 50
string

2.5 - DirectConnectShowResponse

NameDescriptionSchemaDefault
direct_connect
required

DirectConnect

2.6 - RoutingRule

NameDescriptionSchemaDefault
account_id
required
Account ID
Example :
string
created_at
required
Created At
Example : 2024-05-17T00:23:17Z
string (date-time)
created_by
required
Created By
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
description
required
Description
Example :
string
destination_cidr
required
Destination CIDR
Example :
string
destination_resource_id
required
Destination Resource ID
Example :
any of [string, null]
destination_resource_name
optional
Destination Resource Name
Example :
any of [string, null]
destination_type
required
Destination Type
Example : VPC
enum (VPC, ON_PREMISE, INTERNET, TGW)
id
required
Routing Rule ID
Example :
string
modified_at
required
Modified At
Example : 2024-05-17T00:23:17Z
string (date-time)
modified_by
required
Modified By
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
owner_id
required
Routing Rule Owner ID
Example :
string
owner_type
required
Routing Rule Owner Type
Example : INTERNET_GATEWAY
enum (INTERNET_GATEWAY, GROUP_GATEWAY, DIRECT_CONNECT, SUBNET, PRIVATE_NAT, TRANSIT_GATEWAY, VPC_PEERING, SECURE_INTERNET_GATEWAY)
state
required
State
Example : CREATING
enum (CREATING, ACTIVE, DELETING, DELETED, ERROR)

2.7 - RoutingRuleCreateRequest

NameDescriptionSchemaDefault
description
optional
Description
Example :
Maximum length : 50
string
destination_cidr
required
Destination CIDR
Example :
string
destination_resource_id
optional
Destination Resource ID
Example :
any of [string, null]
destination_type
required
Destination Type
Example : VPC
enum (VPC, ON_PREMISE)

2.8 - RoutingRuleListResponse

NameDescriptionSchemaDefault
count
optional
total count
Example : 20
any of [integer, null]
links
optional
links
Example : [{'href': 'http://scp.samsungsdscloud.com/v1/notices', 'rel': 'self'}]
any of [array[object], null]
routing_rules
required

array[RoutingRule]

2.9 - RoutingRuleShowResponse

NameDescriptionSchemaDefault
routing_rule
required

RoutingRule

2.10 - Tag

NameDescriptionSchemaDefault
key
required
tag key
Example :
string
value
required
tag value
Example :
string